package cn.iocoder.yudao.module.member.controller.admin.excelImport.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zt
 * @description <description class purpose>
 * @since 2024/11/5
 */

@ExcelIgnoreUnannotated
public class DishExcel {

    /**
     * 用名字去匹配，这里需要注意，如果名字重复，会导致只有一个字段读取到数据
     */
    @ExcelProperty(index = 0)
    public String type;

    @ExcelProperty(index = 1)
    public String name;

    @ExcelProperty( index = 2)
    public BigDecimal money;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }
}
